cc.funkemunky.bungee.utils.reflection.types

## Class WrappedMethod

- java.lang.Object
- - cc.funkemunky.bungee.utils.reflection.types.WrappedMethod

    public class WrappedMethod
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`WrappedMethod(WrappedClass parent, java.lang.reflect.Method method)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getModifiers()`
`<T> T` `invoke(java.lang.Object object, java.lang.Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrappedMethod

    public WrappedMethod(WrappedClass parent,
                         java.lang.reflect.Method method)

### Method Detail

#### invoke

    public <T> T invoke(java.lang.Object object,
                        java.lang.Object... args)

#### getModifiers

    public int getModifiers()